<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<style type="text/css"> /* <![CDATA[ */
  @import "branding/css/tigris.css";
  @import "branding/css/inst.css";
  /* ]]> */</style>
<link rel="stylesheet" type="text/css" media="print"
  href="branding/css/print.css"/>
<script type="text/javascript" src="branding/scripts/tigris.js"></script>
<title>Project Development</title>
</head>

<body>
<div class="app">

<h2>Subversion Development</h2>

<h3>Coding</h3>

<p>Subversion development discussion takes place on the mailing list
<a
href="mailto:dev@subversion.tigris.org">dev@subversion.tigris.org</a>.
You don't need to subscribe to the list just to submit a patch or two,
but if you want to be involved with Subversion development on a
regular basis, you should probably subscribe.  It's high-traffic, but
threading tends to be fairly disciplined, so you can ignore
conversations you aren't interested in.  For real-time chat,
developers use the IRC channel <a
href="irc://irc.freenode.net/svn-dev">irc.freenode.net/svn-dev</a>
(some also hang out in the user-support channel, <a
href="irc://irc.freenode.net/svn">irc.freenode.net/svn</a>).</p>

<p>The <a href="hacking.html">Hacker's Guide to Subversion</a>
contains information about submitting patches, learning your way
around the code, interacting with other developers, project
governance, etc.  If you don't see the answers you need there, please
ask on the mailing list or in IRC, we're happy to help.</p>

<h3>Translating Subversion output</h3>

<p>With the release of version 1.1 Subversion program output can be
translated.  Discussion takes place both on the Subversion development
mailing list as well as dedicated native language mailing lists
(<em>l10n-??@subversion.tigris.org</em>).</p>

<p>Next to any information in the <a href="hacking.html">Hacker's Guide
to Subversion</a> pertinent to translating Subversion output,
additional information can be found in</p>

<blockquote>
<p><a href="http://svn.collab.net/repos/svn/trunk/TRANSLATING"
           >http://svn.collab.net/repos/svn/trunk/TRANSLATING</a></p>
</blockquote>

<p>Currently available translations can be found in
<a href="http://svn.collab.net/repos/svn/trunk/subversion/po/"
>the po section of the repository</a>.  Please contact the development
mailing list when you want to start a translation not available yet.</p>

<h3>BuildBot Test Farm</h3>

<p>There is a Subversion <a href="http://buildbot.sourceforge.net/"
>BuildBot</a> farm at <a
href="http://www.mobsol.be/buildbot/">http://www.mobsol.be/buildbot/</a>.
For more details, see <a href="hacking.html#automated-tests">here</a>.</p> 

<!-- ******************************************************************** -->

<h3>The Big Picture</h3>

<blockquote>

<p>(Inferred from the <a href="design.html">design document</a>)</p>

<p>
<img src="images/subversion-diagram.png" alt="Design Diagram"
     width="511" height="585"/>
</p>

</blockquote>

</div>
</body>
</html>
